import { nanoid } from 'nanoid/non-secure';
import { getNativeModule } from './util';
export const getUUID = () => {
  var _getNativeModule;

  // Currently the RN dev server does not allow to call synchronous methods via the bridge.
  // For that reason, we use nanoids in development and UUIDs (generated on the native side) in production.
  // More information at https://github.com/facebook/react-native/issues/26705
  if (__DEV__) {
    return nanoid();
  }

  return ((_getNativeModule = getNativeModule('AnalyticsReactNative')) === null || _getNativeModule === void 0 ? void 0 : _getNativeModule.getUUIDSync()) ?? '';
};
//# sourceMappingURL=uuid.js.map